Bug 125063 - ethernet cards in bond configuration, won't start extra single eth-card at boottime
ethernet cards in bond configuration, won't start extra single eth-card at bo...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-02 10:32 EDT by Harmen Mak
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 12:44:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harmen Mak 2004-06-02 10:32:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a)
Gecko/20040511

Description of problem:
I have a machine with 6 eth-cards
I've confugured two bonding interfaces bond0 (eth0, eth2) and
bond1(eth1, eth3). and two single network cards with own IP numbers.

Total 4 IP numbers, two in bonding mode and two single

At boottime the bonding interfaces will start ok. the two single
interfaces won't start. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure bond0 with two eth-devices (eth0, eth1)
2. configure a single eth-device (eth2)
3. boot

    

Actual Results:  bond0 is up and eth2 is not

Expected Results:  bond0 up and eth2 up

Additional info:

I've resolved this problem by adding "SLAVE=no" in the single
ethernetcard configuration scripts. (../networking-scripts/ifcfg-eth4)
In the /etc/rc.d/init.d/network script is a check of the parm SLAVE=yes
if the next single ethernet-device dosn't contain a parm SLAVE=no the
script holds the variable "SLAVE=yes".
This causses the problem of not booting the single ethenet device
after starting a bonding device
Comment 1 Radek Vokal 2005-03-30 07:31:25 EST
This look more like an issue in initscripts. It should really work with
SLAVE=yes, actually that's why SLAVE param is in the configuration file.. 
Comment 2 Bill Nottingham 2005-03-30 16:24:04 EST
What version of initscripts?
Comment 3 Harmen Mak 2005-03-31 06:15:18 EST
I'am not sure which version the init scripts are. The default init scripts that
come with the ES3.0 Taroon version.

# ls -ltr /etc/sysconfig/network-scripts/network-functions
-rw-r--r--    1 root     root         7188 Sep 11  2003 network-functions
# ls -ltr /etc/init.d/network 
-rwxr-xr-x    1 root     root         7641 Sep  9  2003 /etc/init.d/network

The resolution I would suggest is to unset the parameter SLAVE every time you
start an network-card 
Comment 4 Harmen Mak 2005-03-31 06:32:36 EST
I'am not sure which version the init scripts are. The default init scripts that
come with the ES3.0 Taroon version.

# ls -ltr /etc/sysconfig/network-scripts/network-functions
-rw-r--r--    1 root     root         7188 Sep 11  2003 network-functions
# ls -ltr /etc/init.d/network 
-rwxr-xr-x    1 root     root         7641 Sep  9  2003 /etc/init.d/network

The resolution I would suggest is to unset the parameter SLAVE every time you
start an network-card 
Comment 5 Bill Nottingham 2005-03-31 12:44:01 EST
Please upgrade to the errata initscripts; this is fixed in 7.31.10.EL-1 and later.

Note You need to log in before you can comment on or make changes to this bug.